package web;

import com.engine.jucailinkq.attendance.component.persongroup.service.SchedulingResultsService;
import com.engine.jucailinkq.attendance.component.persongroup.service.impl.SchedulingResultsServiceImpl;
import com.engine.common.util.ServiceUtil;
import com.google.common.collect.Maps;
import org.junit.Test;


import java.util.Map;

public class TestSchedulingResultsAction extends beforlog {

    @Test
    public  void test1() {
        SchedulingResultsService basicsetService = ServiceUtil.getService(SchedulingResultsServiceImpl.class);
        Map<String,Object> params = Maps.newHashMap();
//        params.put("ids","182857,182858,182859,182860");
//        params.put("type","0");

        params.put("type","1");
        params.put("startDate","2024-07-06");
        params.put("endDate","2024-07-09");
        params.put("pbdxry","31");
        params.put("pbtj","0");

        basicsetService.deleteBatchSchedule(params);
    }

    @Test
    public  void testquery() {
        SchedulingResultsService basicsetService = ServiceUtil.getService(SchedulingResultsServiceImpl.class);
        Map<String,Object> params = Maps.newHashMap();
//        params.put("ids","182857,182858,182859,182860");
//        params.put("type","0");

        params.put("tableName","uf_pbjg");
        params.put("startDate","2024-07-01");
        params.put("endDate","2024-07-01");
        params.put("pblx","0");
        params.put("pbdx","31");
        params.put("current","1");
        params.put("pageSize","10");
        params.put("recurrence","1");



        basicsetService.queryDataTable(params);
    }
}
